Results 1 to 2 of 2

Thread: Upgrade ExtJS GPL from 5.1.1 to 6.x?

  1. #1
    Sencha User
    Join Date
    May 2010
    Posts
    147
    Answers
    3
    Vote Rating
    2
      0  

    Default Upgrade ExtJS GPL from 5.1.1 to 6.x?

    I've just managed to dust off and old application I built back in 2015, it seams to run ExtJS 5.1.1 GPL(?) and was created in Architect.
    After much fiddling I got it to build with the latest CMD (6.5), it was last built with CMD 5.1.3.61 but that version failed to build now (running OSX Sierra).

    I would like to upgrade to the latest ExtJS, either GPL (6.0.1?) or a commercial trial of 6.5, so I tried through Architect but it results in an error every time.

    - What's the correct upgrade procedure?
    - Can 5.1.1 GPL upgraded?
    - Can ExtJS GPL be converted to ExtJS commercial?

    Thanks in advance.

  2. #2
    Sencha User
    Join Date
    Feb 2013
    Location
    California
    Posts
    11,985
    Answers
    506
    Vote Rating
    291
      0  

    Default

    This guide might prove helpful:
    http://docs.sencha.com/extjs/6.0.0/g...ade_guide.html

    GPL version is the same code as commercial version.

Similar Threads

  1. ExtJS 4.2 to ExtJS 5.1.1 upgrade grid retrieve issue
    By deepthi_p in forum Ext 5: Bugs
    Replies: 1
    Last Post: 20 Oct 2015, 11:26 AM
  2. ExtJS 4.2 to 5.1.1 upgrade
    By deepthi_p in forum Ext 5: Bugs
    Replies: 1
    Last Post: 15 Oct 2015, 8:20 AM
  3. Replies: 2
    Last Post: 29 Oct 2014, 1:57 AM
  4. Replies: 1
    Last Post: 6 Jun 2014, 5:35 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •